org.wildfly.swarm.config

## Class SecurityManager<T extends SecurityManager<T>>

- java.lang.Object
- - java.util.AbstractMap<K,V>
  - - java.util.HashMap
    - - org.wildfly.swarm.config.SecurityManager<T>

- All Implemented Interfaces:
    Serializable, Cloneable, Map

      public class SecurityManager<T extends SecurityManager<T>>
      extends HashMap

  Security Manager subsystem
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `SecurityManager.SecurityManagerResources` Child mutators for SecurityManager

    - ### Nested classes/interfaces inherited from class java.util.AbstractMap

      `AbstractMap.SimpleEntry<K,V>, AbstractMap.SimpleImmutableEntry<K,V>`

    - ### Nested classes/interfaces inherited from interface java.util.Map

      `Map.Entry<K,V>`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SecurityManager()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPropertyChangeListener(PropertyChangeListener listener)` Adds a property change listener
    `T` | `defaultDeploymentPermissions()` The permissions that are to be granted to deployments
    `T` | `defaultDeploymentPermissions(DefaultDeploymentPermissions value)` The permissions that are to be granted to deployments
    `T` | `defaultDeploymentPermissions(DefaultDeploymentPermissionsConsumer consumer)` The permissions that are to be granted to deployments
    `T` | `defaultDeploymentPermissions(DefaultDeploymentPermissionsSupplier supplier)` The permissions that are to be granted to deployments
    `String` | `getKey()`
    `void` | `removePropertyChangeListener(PropertyChangeListener listener)` Removes a property change listener
    `SecurityManager.SecurityManagerResources` | `subresources()`

    - ### Methods inherited from class java.util.HashMap

      `clear, clone, compute, computeIfAbsent, computeIfPresent, containsKey, containsValue, entrySet, forEach, get, getOrDefault, isEmpty, keySet, merge, put, putAll, putIfAbsent, remove, remove, replace, replace, replaceAll, size, values`

    - ### Methods inherited from class java.util.AbstractMap

      `equals, hashCode, toString`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.Map

      `equals, hashCode`

- - ### Constructor Detail

    - #### SecurityManager

          public SecurityManager()

  - ### Method Detail

    - #### getKey

          public String getKey()

    - #### addPropertyChangeListener

          public void addPropertyChangeListener(PropertyChangeListener listener)

      Adds a property change listener

    - #### removePropertyChangeListener

          public void removePropertyChangeListener(PropertyChangeListener listener)

      Removes a property change listener

    - #### subresources

          public SecurityManager.SecurityManagerResources subresources()

    - #### defaultDeploymentPermissions

          public T defaultDeploymentPermissions(DefaultDeploymentPermissions value)

      The permissions that are to be granted to deployments

    - #### defaultDeploymentPermissions

          public T defaultDeploymentPermissions(DefaultDeploymentPermissionsConsumer consumer)

      The permissions that are to be granted to deployments

    - #### defaultDeploymentPermissions

          public T defaultDeploymentPermissions()

      The permissions that are to be granted to deployments

    - #### defaultDeploymentPermissions

          public T defaultDeploymentPermissions(DefaultDeploymentPermissionsSupplier supplier)

      The permissions that are to be granted to deployments

Copyright © 2018 JBoss by Red Hat. All rights reserved.